Raster Properties Crash - Cannot access raster file properties after adjusting properties once

2018-09-19 09:29 PM - Philip Kampf

Status: Closed

Priority: High

Assignee:

Category: Rasters

Affected QGIS version:3.2.2 Regression?: No

Operating System: OSX 10.11.6 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 27721

Description

The raster file in question is too large to attach to this post, but can send via wetransfer etc.. if needed. Let me know if the crash log at

bottom will work, otherwise not sure how to print off this error.

Issue: I can load in a raster file, click into it's properties and change the style (manually or with .qml file), usually in singleband

pseudocolor/using a color ramp to classify attributes, however when I close out of properties and am back at layers menu I cannot go

back in to view/adjust those same properties.

I will double click or right-click to try to access them and QGIS 3.2-3.2.2 will crash. From what I recall this was not an issue with 3.1, but I

am not sure. Let me know if any further info is needed.

History

#1 - 2018-09-19 10:08 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

yes please: giovanni dot manghi at gmail dot com

#2 - 2018-09-19 10:21 PM - Philip Kampf

Giovanni Manghi wrote:

yes please: giovanni dot manghi at gmail dot com

sent via wetransfer

#3 - 2018-09-20 12:41 PM - Giovanni Manghi

Cannot confirm on 3.2.3 on Linux.

#4 - 2018-09-20 09:34 PM - Philip Kampf

Bizarre, but I just did a software update (I think the osx july or september update), and it's not crashing anymore. Still running El Capitan, 10.11.6, so this

only really touched safari and iTunes, but somehow..Advice to anyone experiencing this on earlier osx updates, update again I guess.
Let me know if you'd like any further info.

#5 - 2018-09-20 09:35 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

Files

slope_10.qml 1.74 KB 2018-09-19 Philip Kampf

QGIS_2018-09-19-114254_Raster_Style_Crash.crash 116 KB 2018-09-19 Philip Kampf
